<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<html>
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css" />
		</head>
<BODY MARGINHEIGHT="0" bgcolor="#ffffff" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">
<table width="100%" height="100%" border="0" align="center" cellpadding="0" cellspacing="0" bgcolor="#FFFFFF">
  <tr>
    <td height="48" background="images/menu_bg.gif" class="iconfoot">
	<!-- MENU -->	
	<table  border="0" align="left" cellpadding="0" cellspacing="0" style="padding-left:20px;padding-right:20px;">
      <tr>
        <xsl:call-template name="TOP-MENU"/>
        </tr>
    </table>
	<!-- END MENU --></td>
  </tr>
  <tr>
    <td height="156" background="images/header1.jpg"><table width="100%" height="156" border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td background="images/header.jpg" style="background-repeat:no-repeat;"><table width="100%" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td width="220">
			<!-- LOGO -->
			<table width="200" border="0" align="center" cellpadding="0" cellspacing="0">
              <tr>
                <td><div align="center" style="padding-bottom:10px;"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></div></td>
              </tr>
              <tr>
                <td class="company"><div align="center"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></div></td>
              </tr>
            </table>
			<!-- END LOGO -->
			</td>
           
            <td><table width="250" border="0" align="right" cellpadding="0" cellspacing="0">
              <tr>
                <td class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
              </tr>
            </table></td>
          </tr>
        </table></td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td height="1" bgcolor="#FFFFFF"></td>
  </tr>
  <tr>
    <td width="100%" height="100%" valign="top" ><table width="100%" height="100%"  border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="220" valign="top" background="images/bg.gif" style="width:220px;"><img src="images/space.gif" width="220" height="15"/>
          <table width="220" border="0" cellspacing="0" cellpadding="0">
            <tr>
              <td style="padding:10px;">
			  <!-- SUBMENU -->
			  <table width="160"  border="0" align="center" cellpadding="0" cellspacing="0">
              <xsl:call-template name="SUB-MENU">
<xsl:with-param name="pageID" select="@ID"/>
</xsl:call-template>              
              </table></td>
            </tr>
          </table>
		  <!-- END SUBMENU -->
</td><td width="100%" height="100%" valign="top"><img src="images/space.gif" width="100" height="4"/>
          <table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
          <tr>
            <td valign="top" style="padding:14px;">
			<!-- CONTENT -->
			<table cellpadding="0" cellspacing="0" border="0" class="pageContent">
                <tr>
                  <td style="padding-top:8px;" class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
                  <td class="icon"><img src="images/icon_text.gif" alt="" width="17" height="17" border="0"/></td>
                </tr>
              </table>
            <table border="0" cellspacing="0" cellpadding="0" width="100%">
<tr>
<td class="pageContent" name="SB_stretch">
	<xsl:apply-templates select="PAGE-CONTENT"/>
</td>
</tr>
</table></td>
          </tr>
        </table>
		<!-- END CONTENT --></td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td height="1" bgcolor="#FFFFFF"></td>
  </tr>
  <tr>
    <td background="images/bgd.gif" style="padding-top:10px;"><table align="center" cellpadding="0" cellspacing="0">
      <tr>
        <!-- BOTTOM MENU -->
        <xsl:call-template name="BOTTOM-MENU"/>
        <!-- END BOTTOM MENU -->
      </tr>
        <!-- FOOTER -->
        <!-- END FOOTER -->
    </table>
      <table border="0" align="center" cellpadding="0" cellspacing="0">
        <tr>
          <td class="copyright"><div align="center" style="padding:10px;"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></div></td>
        </tr>
      </table></td>
  </tr>
</table>
</BODY>
	</html>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
          <tr>
		   <td class="iconleft"><img src="images/icon_left.gif" width="9" height="5" /></td>
           <td class="submenu"><span class="submenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></span></td>
          </tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
          <tr>
            <td class="iconleft"><img src="images/icon_left.gif" width="9" height="5" /></td>
            <td class="submenu"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
          </tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
          <tr>
          <td height="10" colspan="2"><img src="images/line.gif" width="165" height="1" /></td>
          </tr>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
           <td class="bmenu"><a href="{@HREF}" class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
		   </xsl:when>
           <!-- when active-->
           <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
		<td><span class="bmenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></span></td>
           </xsl:when>
           <xsl:otherwise>
        <td class="bmenu"><a href="{@HREF}" class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
        <td class="iconfoot" width="20" align="center"><img src="images/icon_down.gif" alt="" width="5" height="5"/></td>
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
