<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<html>
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css" />
		</head>
<body style="margin:0px;" bgcolor="#ffffff">
<table width="100%" height="100%" border="0" align="center" cellpadding="0" cellspacing="0">
  <tr>
    <td height="50" background="images/001.gif" class="iconfoot" style="padding-left:20px; padding-right:20px;">
	<!-- MENU -->
	<table border="0" align="left" cellpadding="0" cellspacing="0">
      <tr>
<xsl:call-template name="TOP-MENU"/>
      </tr>
    </table>
	<!-- END MENU -->
	</td>
  </tr>
  <tr>
    <td bgcolor="#FFFFFF" style="width:100%;height:1px"></td>
  </tr>
  <tr>
    <td height="168" valign="top" background="images/headerbg.jpg">
	  <table width="100%"  border="0" cellspacing="0" cellpadding="0">
        <tr>
          <td height="168" style="background-image: url(images/header.jpg);
	background-repeat: no-repeat;
	background-position: left bottom; padding-left:30px;">
	<!-- LOGO -->
	<table width="260" border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td align="center" style="padding-bottom:5px;"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></td>
      </tr>
      <tr>
        <td align="center" class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
      </tr>
      <tr>
        <td class="slogan" align="center"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
      </tr>
    </table>
	<!-- END LOGO -->
		  </td>
        </tr>
      </table>
</td>
    </tr>
  
  <tr>
    <td valign="top" width="100%" height="100%"  bgcolor="#FFFFFF"><table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td width="217" valign="top" background="images/av_09.jpg"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td><img src="images/av_02.jpg" width="217" height="42" alt="" /></td>
          </tr>
          <tr>
            <td align="center">
<br/>
			<table width="167" border="0" cellspacing="0" cellpadding="0">
			<xsl:call-template name="SUB-MENU"><xsl:with-param name="pageID" select="@ID"/></xsl:call-template>
            </table>
	<br/>
			</td>
          </tr>
        </table></td>
        <td width="100%" height="100%" valign="top" style="padding: 10px;">
<!-- CONTENT -->
			<table cellpadding="0" cellspacing="0" border="0">
				<tr>
					<td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
					<td style="padding-left: 5px;"><img src="images/av_06.jpg" width="34" height="17" alt="" /></td>
		  		</tr>
			</table>
			<div style="width:0px; height:15px;"><span></span></div>
	   		<table width="100%" height="100%">
	   		  <tr><td  width="100%" height="100%" valign="top" class="pageContent" name="SB_stretch"><xsl:apply-templates select="PAGE-CONTENT"/></td>
	   		  </tr></table>
			<!-- END CONTENT -->
		</td>
        <td width="27" valign="top" background="images/av_10.jpg"><img src="images/av_04.jpg" width="37" height="42" alt="" /></td>
      </tr>
    </table></td>
    </tr>
  <tr>
    <td height="31"><table width="100%"  height="31" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="217"><img src="images/av_21.jpg" width="217" height="31" alt="" /></td>
        <td width="100%" background="images/av_22.jpg"></td>
        <td width="37"><img src="images/av_24.jpg" width="37" height="31" alt="" /></td>
      </tr>
    </table></td>
    </tr>
  <tr>
    <td bgcolor="#FFFFFF" style="height:1px;width:100%"></td>
  </tr>
  <tr>
    <td height="40" background="images/av_28.jpg" style="padding:7px;">
		<table align="center" cellpadding="0" cellspacing="0">
		  <tr>
			<td>
			<!-- BOTTOM MENU -->
				<table align="center" cellpadding="0" cellspacing="0">
					  <tr>
				<xsl:call-template name="BOTTOM-MENU"/>
					  </tr>
			  </table>
			  <!-- END BOTTOM MENU -->
		    </td>
		  </tr>
		  <tr>
			<!-- FOOTER -->
			<td class="copyright"><div align="center" style="padding:10px;"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></div></td>
			<!-- END FOOTER -->
		  </tr>
		</table>
	</td>
  </tr>
</table>
</body>
	</html>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
 <tr>
                <td width="25"><img src="images/av_13.jpg" width="21" height="7" alt="" /></td>
                <td align="left" class="submenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
              </tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
 <tr>
                <td width="25"><img src="images/av_13.jpg" width="21" height="7" alt="" /></td>
                <td align="left"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
              </tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
              <tr>
                <td colspan="2"><img src="images/av_17.jpg" width="167" height="16" alt="" /></td>
                </tr>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
        <td ><div align="center"><a href="{@HREF}" class="bmenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></div></td>
           </xsl:when>
           <!-- when active-->
           <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
        <td class="bmenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
           </xsl:when>
           <xsl:otherwise>
        <td ><div align="center"><a href="{@HREF}" class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></div></td>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
        <td class="iconfoot"><img src="images/008.gif" alt="" width="5" height="5"/></td>
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
